OpenMesh::Decimater::Observer Class Referenceabstract

Observer class. More...

`#include <OpenMesh/Tools/Decimater/Observer.hh>`

## Public Member Functions

| Observer (size_t _notificationInterval)
| Create an observer. More...
virtual | ~Observer ()
| Destructor.
size_t | get_interval () const
| Get the interval between notification steps.
void | set_interval (size_t _notificationInterval)
| Set the interval between notification steps.
virtual void | notify (size_t _step)=0
| callback More...
virtual bool | abort () const
| Abort callback. More...

## Detailed Description

Observer class.

Observers can be used to monitor the progress of the decimation and to abort it in between.

## Constructor & Destructor Documentation

## Observer()

OpenMesh::Decimater::Observer::Observer | ( | size_t | _notificationInterval | ) |

explicit

Create an observer.

Parameters

  _notificationInterval | Interval of decimation steps between notifications.

## Member Function Documentation

## abort()

bool OpenMesh::Decimater::Observer::abort | ( |  | ) | const

virtual

Abort callback.

After each notification, this function is called by the decimater. If the function returns true, the decimater will stop at a consistent state. Otherwise it will continue.

Returns
  abort Yes or No

## notify()

virtual void OpenMesh::Decimater::Observer::notify | ( | size_t | _step | ) |

pure virtual

callback

This function has to be overloaded. It will be called regularly during the decimation process and will return the current step.

Parameters

  _step | Current step of the decimater

The documentation for this class was generated from the following files:

- OpenMesh/Tools/Decimater/Observer.hh
- OpenMesh/Tools/Decimater/Observer.cc